package com.docus.server.hl.service.impl;

import com.docus.server.constants.DSKeyConstants;
import com.docus.server.hl.infrastructure.mapper.HlDeptMapper;
import com.docus.server.hl.service.IHlService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Component(DSKeyConstants.HL_DS_KEY + "ServiceImpl")
@AllArgsConstructor
public class HlServiceImpl implements IHlService {

    private final HlDeptMapper hlDeptMapper;


    @Override
    public List<Map<String, Object>> page(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hlDeptMapper.page(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

    @Override
    public List<Map<String, Object>> BatchForJZH(List<String> jzhs) {
        return hlDeptMapper.BatchForJZH(jzhs);
    }

    @Override
    public List<Map<String, Object>> BatchForJZHAndAdmissTimes(List<Map<String, Object>> datas) {
        return hlDeptMapper.BatchForJZHAndAdmissTimes(datas);
    }

    @Override
    public List<Map<String, Object>> BatchForZYHAndAdmissTimes(List<Map<String, Object>> datas) {
        return hlDeptMapper.BatchForZYHAndAdmissTimes(datas);
    }

    @Override
    public List<Map<String, Object>> BatchForEXAMTIME(List<Map<String, Object>> datas) {
        return hlDeptMapper.BatchForEXAMTIME(datas);
    }

}
